# Struct emergency_stop::EmergencyStop [−] [src]

    pub struct EmergencyStop {
        pub state: Arc<AtomicBool>,
        // some fields omitted
    }

## Fields

`state: Arc<AtomicBool>`

## Methods

### `impl EmergencyStop`
[src]

#### `fn new(stop_port: u8) -> Result<Self>`

Constructs a new `EmergencyStop` and starts poll thread.

# Parameter

- `stop_port` GPIO Port number of emergency stop pin.

## Trait Implementations

### `impl Debug for EmergencyStop`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl Drop for EmergencyStop`
[src]

#### `fn drop(&mut self)`

Set emergency stop and join poll thread.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)